# AppUsers Object

> Source: https://truto.one/docs/api-reference/unified-single-sign-on-api/appusers/

Schema for the `AppUsers` resource in **Unified Single Sign-On API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier of the user.
- **`first_name`** _(string)_
  The first name of the user
- **`last_name`** _(string)_
  The last name of the user
- **`name`** _(string)_
  The name of the user
- **`username`** _(string)_
  The username of the user
- **`emails`** _(array<object>)_
  The emails of the user
  - **`email`** _(string)_
    The email address
  - **`type`** _(string)_
    The type of email address
  - **`is_primary`** _(boolean)_
    Whether the email address is primary
- **`phones`** _(array<object>)_
  The phones of the user
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The type of phone number
- **`status`** _(string)_
  The status of the user. If no clear mapping is available, then the raw value is returned.
- **`apps`** _(array<object>)_
  The applications the user is assigned to.
  - **`id`** _(string)_
    The unique identifier of the application.
  - **`name`** _(string)_
    The name of the application.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/sso/app_users](/docs/api-reference/unified-single-sign-on-api/appusers/list) — List App users
- [GET /unified/sso/app_users/{id}](/docs/api-reference/unified-single-sign-on-api/appusers/get) — Get App users
- [DELETE /unified/sso/app_users/{id}](/docs/api-reference/unified-single-sign-on-api/appusers/delete) — Delete App users
